Error
A valid request URL is required to generate request examples{
"id": "trf-2026-0001",
"sourceStoreId": "store-paris",
"destinationStoreId": "store-lyon",
"status": "received",
"lines": [
{
"skuId": "1111111111111111111111111111111111111111111111111111111111111111",
"requestedQuantity": 10,
"shippedQuantity": 10,
"receivedQuantity": 9
},
{
"skuId": "2222222222222222222222222222222222222222222222222222222222222222",
"requestedQuantity": 4,
"shippedQuantity": 3,
"receivedQuantity": 3
}
]
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"statusCode": 123,
"fieldErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"statusCode": 123
}
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"statusCode": 123
}
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"statusCode": 123
}
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"statusCode": 123
}
}Transfer
Get a transfer by id
Returns one transfer with its current status and lines. 404s for an unknown id.
GET
/
v1
/
transfers
/
{transferId}
Error
A valid request URL is required to generate request examples{
"id": "trf-2026-0001",
"sourceStoreId": "store-paris",
"destinationStoreId": "store-lyon",
"status": "received",
"lines": [
{
"skuId": "1111111111111111111111111111111111111111111111111111111111111111",
"requestedQuantity": 10,
"shippedQuantity": 10,
"receivedQuantity": 9
},
{
"skuId": "2222222222222222222222222222222222222222222222222222222222222222",
"requestedQuantity": 4,
"shippedQuantity": 3,
"receivedQuantity": 3
}
]
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"statusCode": 123,
"fieldErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"statusCode": 123
}
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"statusCode": 123
}
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"statusCode": 123
}
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"statusCode": 123
}
}Authorizations
Authorization: Bearer <token>. Accepts EITHER a Keycloak access token (scopes-in-token) OR an opaque POS session token; both resolve to the same pos.* scope vocabulary the route guards enforce.
Path Parameters
The transfer (transfert inter-magasin) id.
Minimum string length:
1Response
The transfer read model.
The transfer read model.
Minimum string length:
1Minimum string length:
1Minimum string length:
1Available options:
requested, shipped, received, cancelled Minimum array length:
1Show child attributes
Show child attributes

